<?php
/**
 * Template for displaying image attachments
 *
 * @package Bromine
 * @since Bromine 1.0.0
 */
$metadata = wp_get_attachment_metadata();

get_header();
?>

    <div class="bro-content full-width">
        <div class="bro-inner">

            <?php while( have_posts() ) : the_post(); ?>

                <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

                    <header class="post-header">
                        <div class="header-metas">

                            <?php edit_post_link( __( 'Редактировать', 'bromine' ), '<span class="edit-link">', '</span>' ); ?>

                            <div class="post-format-icn">
                                <a title="<?php _e( 'Просмотреть все записи', 'bromine' ); ?>" href="<?php echo esc_url( get_post_format_link( 'image' ) ); ?>"><i class="gicn gicn-image"></i></a>
                            </div>

                            <span class="post-date">
                                <time class="published" datetime="<?php echo get_the_time('c'); ?>"><a title="<?php _e( 'Ссылка: ', 'bromine' ); echo the_title(); ?>" href="<?php the_permalink(); ?>"><?php echo get_the_date(); ?></a></time>
                            </span>

                        </div>

                        <?php the_title( '<h1 class="post-title">', '</h1>' ); ?>

                    </header>

                    <div class="post-content" style="text-align: center;">
                        <?php
                            $post            = get_post();
                            $attachment_size = apply_filters( 'bro_attachment_size', array( 820, 820 ) );
                            $metadata        = wp_get_attachment_metadata();

                            printf( wp_get_attachment_image( $post->ID, $attachment_size ) );
                        ?>

                        <ul class="attachment-metas" style="text-align: left;">
                            <li><?php _e( 'Дочерний пост:', 'bromine' ); ?> <a href="<?php echo get_permalink( $post->post_parent ); ?>" rel="gallery"><?php echo get_the_title( $post->post_parent ); ?></a></li>
                            <li><?php _e( 'Полноразмерное изображение:', 'bromine' ); ?> <a target="_blank" href="<?php echo wp_get_attachment_url(); ?>"><?php echo $metadata['width']; ?> &times; <?php echo $metadata['height']; ?></a></li>
                        </ul>
                    </div>

                </article>

                <nav class="image-nav">
                    <div class="nav-links bro-cf">
                    <?php previous_image_link( false, '<div class="previous-img"><i class="gicn gicn-leftarrow"></i>' . __( 'Предыдущие изображения', 'bromine' ) . '</div>' ); ?>
                    <?php next_image_link( false, '<div class="next-img">' . __( 'Следующие изображения', 'bromine' ) . '<i class="gicn gicn-rightarrow"></i></div>' ); ?>
                    </div>
                </nav>

                <?php if ( comments_open() || get_comments_number() ) {
                    comments_template();
                } ?>

            <?php endwhile; ?>

        </div>
    </div>


<?php
get_footer();